> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Template API Endpoint

> This API endpoint allows a user to retrieve an existing template.



## OpenAPI

````yaml get /api/template/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/template/:
    get:
      tags:
        - api
      summary: Get Template API Endpoint
      description: This API endpoint allows a user to retrieve an existing template.
      operationId: get_template
      responses:
        '200':
          description: Successfully retrieved the template
          content:
            application/json:
              schema:
                title: Template
                type: object
                properties:
                  template_id:
                    type: integer
                  template_name:
                    type: string
                  template_preview:
                    type: string
                  template_description:
                    type: string
                description: Template OpenAPI Schema
              example:
                template_id: 1
                template_name: Template Name
                template_description: Template Description
                template_preview: https://clipvision.ai/preview/template/preview.mp4
        '400':
          description: Failed to retrieve the template or validation errors
          content: {}
        '500':
          description: Failed to retrieve the template
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````